中危 cairo 代码执行漏洞

CVE编号

CVE-2007-5503

利用情况

暂无

补丁情况

官方补丁

披露时间

2007-11-30
漏洞描述
在1.4.12之前的 Cairo中的多个整数溢出可能允许远程攻击者执行任意代码,如使用具有大宽度和高度值的精心制作的PNG图像所示,其无法由read_png函数无法正确处理。

解决建议
建议您更新当前系统或软件至最新版,完成漏洞的修复。
参考链接
http://bugs.gentoo.org/show_bug.cgi?id=200350
http://bugs.gentoo.org/show_bug.cgi?id=201860
http://gitweb.freedesktop.org/?p=cairo;a=commitdiff;h=5c7d2d14d78e4dfb1ef6d2c...
http://gitweb.freedesktop.org/?p=cairo;a=commitdiff;h=e49bcde27f88e21d5b8037a...
http://gitweb.freedesktop.org/?p=cairo;a=commitdiff_plain;h=6020f67f1a49cfe38...
http://lists.grok.org.uk/pipermail/full-disclosure/2008-August/064118.html
http://lists.opensuse.org/opensuse-security-announce/2008-02/msg00003.html
http://rhn.redhat.com/errata/RHSA-2007-1078.html
http://secunia.com/advisories/27775
http://secunia.com/advisories/27819
http://secunia.com/advisories/27880
http://secunia.com/advisories/27887
http://secunia.com/advisories/27985
http://secunia.com/advisories/28289
http://secunia.com/advisories/28476
http://secunia.com/advisories/28529
http://secunia.com/advisories/28555
http://secunia.com/advisories/28838
http://secunia.com/advisories/29767
http://secunia.com/advisories/31707
http://secunia.com/advisories/31711
http://security.gentoo.org/glsa/glsa-200712-04.xml
http://security.gentoo.org/glsa/glsa-201209-25.xml
http://slackware.com/security/viewer.php?l=slackware-security&y=2007&m=slackw...
http://wiki.rpath.com/wiki/Advisories:rPSA-2008-0015
http://www.debian.org/security/2008/dsa-1542
http://www.gentoo.org/security/en/glsa/glsa-200712-24.xml
http://www.mandriva.com/security/advisories?name=MDVSA-2008:019
http://www.securityfocus.com/archive/1/486405/100/0/threaded
http://www.securityfocus.com/archive/1/495869/100/0/threaded
http://www.securityfocus.com/bid/26650
http://www.securitytracker.com/id?1019027
http://www.vmware.com/security/advisories/VMSA-2008-0014.html
http://www.vmware.com/support/player2/doc/releasenotes_player2.html
http://www.vmware.com/support/server/doc/releasenotes_server.html
http://www.vmware.com/support/ws6/doc/releasenotes_ws6.html
http://www.vupen.com/english/advisories/2007/4045
http://www.vupen.com/english/advisories/2008/2466
https://bugzilla.redhat.com/show_bug.cgi?id=387431
https://exchange.xforce.ibmcloud.com/vulnerabilities/38771
https://issues.rpath.com/browse/RPL-1966
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.ova...
https://usn.ubuntu.com/550-1/
https://usn.ubuntu.com/550-2/
https://www.redhat.com/archives/fedora-package-announce/2008-January/msg00630.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 redhat cairo * Up to
(including)
1.4.10
运行在以下环境
系统 oracle_5 cairo * Up to
(excluding)
1.2.4-3.el5_1
运行在以下环境
系统 oracle_5 cairo-devel * Up to
(excluding)
1.2.4-3.el5_1
运行在以下环境
系统 redhat_5 cairo * Up to
(excluding)
0:1.2.4-3.el5_1
阿里云评分
6.9
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    全局影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    数据泄露
  • 数据完整性
    传输被破坏
  • 服务器危害
    服务器失陷
  • 全网数量
    N/A
CWE-ID 漏洞类型
CWE-189 数值错误
阿里云安全产品覆盖情况